Telmediq Desktop system requirements

Your computer should meet the minimum system requirements before you install and use Telmediq Desktop.

It's possible that Telmediq may install on other platforms or versions not listed here.
Enterprise support is limited to systems that meet the minimum requirements. Telmediq does not provide support if you install Telmediq on any system that does not meet the specified criteria.

Windows

To use Telmediq Desktop on Windows, you'll need:

  • Windows 7, Windows 8, Windows 8.1, Windows 10 or later
  • An Intel Pentium 4 processor or later that's SSE2 capable
Note: Servers require Windows Server 2008 R2, Windows Server 2012, or Windows Server 2016.

Mac

To use Telmediq Desktop on Mac, you'll need:

  • OS X Yosemite 10.10 or later

Linux

To use Telmediq Desktop on Linux, you'll need:

  • 64-bit Ubuntu 14.04+, Debian 8+, openSUSE 13.3+, or Fedora Linux 24+
  • An Intel Pentium 4 processor or later that's SSE2 capable 
Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.
Powered by Zendesk